## fai 5.0.3ubuntu1

=== Makefile ===
include VERSION

SHELL=/bin/bash
DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac

USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-monitor-gui fai-deps

# for syntax checks
BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-statoverride bin/faireboot bin/ftar dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/*
SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/fai-disk-info lib/load_keymap_consolechars utils/mkdebmirror
PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp

# do not include .svn dir and setup-storage subdir
libfiles=$(patsubst lib/setup-storage,,$(wildcard lib/[a-z]*))

all:
	$(MAKE) syntaxcheck
	$(MAKE) -C doc all

syntaxcheck: bashismcheck shellcheck perlcheck

bashismcheck:
	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SHELL_SCRIPTS); do \
			test -r $${SCRIPT} || continue ; \
			ec=0 ; \
			checkbashisms -x $${SCRIPT} || ec=$$? ; \
			if [ $${ec} -ne 0 ] && [ $${ec} -ne 2 ] ; then exit $${ec} ; fi ; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

shellcheck:
	@echo -n "Checking for shell syntax errors"; \
	for SCRIPT in $(BASH_SCRIPTS) $(SHELL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		bash -n $${SCRIPT} || exit ; \
		echo -n "."; \
	done; \
	echo " done."; \

perlcheck:
	@echo "Checking for perl syntax errors:"; \
	mkdir -p perl-dummy/Linux perl-dummy/Tk ; \
	for f in Linux/LVM.pm Tk.pm Tk/HList.pm Tk/ItemStyle.pm; do \
		echo '1;' > perl-dummy/$$f ; \
	done; \
	for SCRIPT in $(PERL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		perl -Iperl-dummy/ -Ilib/setup-storage/ -w -c $${SCRIPT} || exit ; \
	done; \
	rm -r perl-dummy ; \
	echo "-> perl check done."; \

clean:
	rm -rf perl-dummy
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install:
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt
	mkdir -p $(DESTDIR)/etc/{init,init.d} $(DESTDIR)/usr/share/fai/{pixmaps/small,setup-storage}
	mkdir -p $(DESTDIR)/usr/lib/dracut/modules.d
	install man/* $(DESTDIR)/man
	pod2man -c '' -r '' -s8 bin/dhcp-edit > $(DESTDIR)/man/dhcp-edit.8
	pod2man -c '' -r '' -s8 bin/fai-deps > $(DESTDIR)/man/fai-deps.8
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	cp -a lib/dracut/80fai-autodiscover $(DESTDIR)/usr/lib/dracut/modules.d
	install lib/setup-storage/* $(SHAREDIR)/setup-storage
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install dev-utils/fai-kvm $(DESTDIR)/usr/bin
	install dev-utils/fai-mk-network $(DESTDIR)/usr/sbin
	install bin/dhclient-fai-script  $(DESTDIR)/usr/share/fai
	install -m644 conf/dhclient-fai.conf $(DESTDIR)/usr/share/fai
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	cd conf ; install -m644 fai.conf grub.cfg grub.cfg.autodiscover $(DESTDIR)/etc/fai/
	install -m644 conf/nfsroot.conf $(DESTDIR)/etc/fai/
	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
	install -m644 conf/upstart-fai.conf $(DESTDIR)/etc/init/fai.conf
	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
	cp -a pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps
	cp -a pixmaps/small/*.gif $(DESTDIR)/usr/share/fai/pixmaps/small
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	cp -a utils $(DOCDIR)/examples

.PHONY: clean veryclean

=== doc/Makefile ===
#!/bin/make -s

DOC = fai-guide
MISC_DOC = classes_description.txt changelog.old
DOC2DIR = $(shell pwd)/../debian/fai-setup-storage/usr/share/doc/fai-setup-storage
OPT = --dblatex-opts "-P latex.output.revhistory=0"


free:	text html ps pdf
#	echo "`grep -c FIXME $(DOC).txt` FIXMEs left to fix:"
#	grep FIXME $(DOC).txt

images:
	ln -s /usr/share/asciidoc/images images 

html: $(DOC).txt images
	asciidoc -a toc2 -a toclevels=3 --theme=flask $(DOC).txt

pdf: $(DOC).txt	images
	a2x $(OPT) -L --icons -a toc -a toclevels=3 -f pdf $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

ps: $(DOC).txt images
	a2x $(OPT) -L --icons -a toc -a toclevels=3 -f ps $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

# a2x uses lynx, maybe use w3m instead
# which texwidth for text output?
# asciidoc --doctype=article  -a "toc" -a "toclevels=3" -f /etc/asciidoc/text.conf -b html4 -o - "f-guide.txt" | lynx -dump -stdin >"./f-guide.text"
text: $(DOC).txt
	a2x $(OPT) -L -a toc -a toclevels=3 -f text $(DOC).txt

# for openoffice
doc:	html
	unoconv --show >/dev/null 2>&1 || exit "Please install the unoconv package."
	unoconv -f doc $(DOC).html

all:	free

install:
	cp -dRp $(DOC)* $(DOCDIR)
	cp -p $(MISC_DOC) $(DOCDIR)
	cp -p setup-storage-call-graph.txt setup-storage-overview.txt $(DOC2DIR)

clean:
	rm -rf images .a2x-icons fai-guide.chunked
	rm -f $(DOC).text $(DOC).html $(DOC).doc $(DOC).pdf $(DOC).xml $(DOC).ps docbook-xsl.css

test:
	asciidoc --version > /dev/null 2>&1 || exit "Please install the asciidoc package."


.PHONY: all test clean

=== debian/changelog ===
fai (5.0.3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - bin/fai-cd:
      + Add missing grub-common package.
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-server.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.
    - examples/simple/scripts/GRUB_PC/10-setup:
      + Add command to regenerate grub.cfg.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 09 Mar 2016 22:17:31 +0100

fai (5.0.3) unstable; urgency=low

  [ Thomas Lange ]
  * move code from task_confdir to task_setup, Closes: #813626
  * updatebase: do not divert invoke-rc.d, closes: #814841
  * task_sysinfo: copy fstab to LOGDIR if found on disk

  [ Kerim Güney ]
  * device2grub,fai-disk-info: add support for NVMe devices

  [ Ian Kelling ]
  * docs: consistent usage of key file

 -- Thomas Lange <lange@debian.org>  Wed, 09 Mar 2016 11:07:18 +0100

fai (5.0.2) unstable; urgency=low

  * load_keymap_consolechars: fix wrong file name, Closes: #812789
  * fai-scan.sh: fix for parsing option fai.discover
  * fai-kvm: add support for booting from disk
  * examples: use lightdm instead of xdm
  * fai-cd: better regex for copying files, preserve owner
  * create empty key file if it does not exist
  * rc.local/FAISERVER: better pattern for ainsl
  * fai-guide.txt: fix URL

 -- Thomas Lange <lange@debian.org>  Wed, 27 Jan 2016 13:44:53 +0100

fai (5.0.1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. (LP: #720613, #1443771)
    Remaining changes:
    - bin/fai-cd:
      + Add missing grub-common package.
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-server.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.
    - examples/simple/scripts/GRUB_PC/10-setup:
      + Add command to regenerate grub.cfg.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 17 Jan 2016 01:39:08 +0100

fai (5.0.1) unstable; urgency=low

  * fai-make-nfsroot: fix calling without -v does not setup ssh,
    also set classes when using -k, add subroutine setclasses
  * new hook setup.DEFAULT.sh sets short hostname
  * UBUNTU: add demo user to more groups
  * read and write hostname using /proc instead calling hostname
  * fix file name in sources.list.d/
  * use flask theme for html version of fai-guide
  * fai-mirror: add -b, call install_packages with -N, initialize variable
  * fai-kvm: use different default title
  * 20-hwdetect.sh: fix test
  * UBUNTU/90-apt: create sources.list, do not use template

 -- Thomas Lange <lange@debian.org>  Thu, 10 Dec 2015 21:37:01 +0100

fai (5.0) unstable; urgency=low

  [ Thomas Lange ]
  * major rewrite of the FAI guide
  * extrbase.IMAGE: new hook that installs from a file system image
    this is tested with Ubuntu 14.04 and CentOS 7
  * fcopy: use xattrs, acl and selinux options if available
  * use httpredir.debian.org instead of http.debian.net
  * fai: fix test, Closes: #780733
  * fai-mount-disk: now support lvm and RAID: Closes: #769229
  * fai-mount-disk: add option -w, add btrfs support
  * use .sh instead of .source suffix for file being sourced
  * do not add machine-id into base file, create a new one Closes: #787235
  * fai-monitor: add reply function which is used for autodiscover
  * fai-monitor.8: add info about the new protocol extensions
  * install_packages, get-config-dir-http: use curl instead of wget
  * fai-make-nfsroot: remove option -l, add otion -z, use xz as default
    compression,
    use os-release to define more classes for install_packages,
    use fcopy for sources.list if it's not a file
    remove more files if building generic nfsroot
    add test if sysvinit-core was installed
    setup ssh environment when using -a
    use apt-get instead of aptitude
    do not install recommends inside nfsroot
    install dracut-* packages early, they are now hardcoded here
    add dracut.conf.d files to make initrd smaller
    check if some essential packages are installed
    use environment variable APTPROXY
    add the key of the fai-project package repository
    make sure to install fai-nfsroot before other packages
    add livenet module, which is needed for getting the nfsroot via http
  * fai-setup: also add config space dir to exports, new home dir for
    LOGUSER, exit with correct error code
  * fai-cd: add -A, -J, -e, fix xorriso options to USB sticks bootable
    do only copy dists and pool dirs from mirror, do not put
    resolv.conf onto the CD, add more dirs to hide list
    do not add memtest menu entry on bootonly CD
  * grub.cfg: add --unrestricted to some menu entries, handle boot from
    local disk via chainloader more advanced
    add entry for FAI server with fixed IP
    do not enable networking for the rescue boot entry
  * install_packages: add dnf support
  * subroutines: print execution time for each task if $duration is set
    do not print hash of ROOTPW
    new subroutine read_fai_monitor_vars, called by task_confdir
    check if kernel modules dir matches the kernel version
    check only for network or CD installation, Closes: #788230
    print disk_config if an error occurs within setup-storage
    put apt keys into separate files
  * control: add mksquashfs-tools
  * fai-mirror: take arch into account in base-pkgs.lis, do not remove
    reprepro dirs in mirror, fix order of getting packages,
    preserve reprepro config files,
    also use files in /etc/fai/apt/sources.list.d
    add option -P, Thanks to Andreas Heinlein for the patch
    save and restore sources.list, use xz instead of bz2
  * dhcp-edit: make restart_dhcpd more quiet, allow non-root if using -d
  * fai.conf: add detailed info about FAI_CONFIG_SRC format
  * fai-kvm: add option -D, -V, -U, -N, -t, disable floppy disk
    increase default dis size, improve help


=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
Uploaders: Michael Prokop <mika@debian.org>
Standards-Version: 3.9.6
Build-Depends-Indep: asciidoc, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
Build-Depends: debhelper (>= 7), libgraph-perl
Vcs-Git: git://github.com/faiproject/fai.git
Vcs-Browser: https://github.com/faiproject/fai
Homepage: http://fai-project.org

Package: fai-client
Architecture: all
Depends: perl, file, libapt-pkg-perl, iproute2 | iproute, debconf-utils, ${misc:Depends}
Recommends: libgraph-perl
Suggests: logtail
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the client package for FAI. It contains the parts necessary
 to run the softupdate functionality on already installed systems, and
 is needed for the dirinstall functionality and others on a FAI server.

Package: fai-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for FAI
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the documentation for FAI in various formats.

Package: fai-server
Architecture: all
Depends: fai-client, debootstrap, xz-utils, ${misc:Depends}
Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl
Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub, aptitude, perl-tk
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 It's a tool for mass unattended Linux installation. You can take one
 or more virgin systems, turn on the power, and after a few minutes,
 the systems are installed, and completely configured to your exact
 needs, without any interaction necessary.
 .
 This package is needed for setting up a FAI install server for network
 installations, for running the dirinstall in a chroot environment, and
 to build installation CD/DVD's and USB sticks.

Package: fai-quickstart
Architecture: all
Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, squashfs-tools, binutils, openbsd-inetd | inet-superserver, ${misc:Depends}
Description: Fully Automatic Installation quickstart package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 This package setups an install server with some basic
 examples. It should be removed when creating your own config space.
 .
 This package is a dependency package, which will install some
 packages needed for FAI.

Package: fai-nfsroot
Architecture: all
Depends: fai-client, fai-setup-storage, pxelinux| syslinux-common, ${misc:Depends}
Description: Fully Automatic Installation nfsroot package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.

Package: fai-setup-storage
Architecture: all
Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted, ${misc:Depends}
Recommends: lvm2, mdadm
Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfs-3g, reiserfsprogs, xfsprogs
Description: automatically prepare storage devices
 Using FAI disk_config files, setup-storage computes effective
 partition and volume sizes and executes the necessary commands
 to configure storage devices. It manages disk drives as well
 as RAID and LVM volumes. It handles all file systems supported
 by parted(8) as well as ntfs but is flexible enough to be
 extended to further types as well. Once the storage devices
 are prepared, an appropriate fstab(5) file is generated.
 .
 This package provides the setup-storage utility as separate
 package so it can be used independent from FAI as well.

## fai 5.1.2ubuntu1

=== debian/changelog ===
fai (5.1.2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - bin/fai-cd:
      + Add missing grub-common package.
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-server.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.
    - examples/simple/scripts/GRUB_PC/10-setup:
      + Add command to regenerate grub.cfg.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 16 Jul 2016 21:30:35 +0200

fai (5.1.2) unstable; urgency=low

  * fai-cd: mount /proc before calling dracut
  * savelog.LAST.sh: improve regex

 -- Thomas Lange <lange@debian.org>  Fri, 01 Jul 2016 17:30:25 +0200

fai (5.1.1) unstable; urgency=low

  * use Xenial for Ubuntu
  * control: update standards version

 -- Thomas Lange <lange@debian.org>  Thu, 30 Jun 2016 22:04:23 +0200

fai (5.1) unstable; urgency=low

  [ Thomas Lange ]
  * add support for 4.x kernel using overlayfs and dracut >= 044+150-1
  * dhcp-edit: fix regex
  * NFSROOT: add dracut-core, remove cupt, module-init-tools
  * fai-mount-disk: use glob instead of backtick
  * fai-make-nfsroot: force some cp calls, adding aufs is not needed in
    config
  * fai-chboot: automatic test if aufs or overlayfs is needed
  * grub.cfg.autodiscover: use aufs and rootovl
  * add support for sftp, scp, https to get-config-dir
  * install_packages: ad support for apt
  * start sshd if flag is defined early
  * ftar: syntax fix, do not use FAI_CLASSES if -c is used
  * subroutines: remove unsuded code in task_faiend()
  * get-boot-info: match new network device names, remove unneeded code
  * add lvm support to CentOS 7, improve CentOS 6
  * control: new package name in Suggests
  * grub.cfg: add queit to cmdline

  [ Andrew bezella ]
  * instsoft.DEBIAN: fix regex
  * do not change hostname during dirinstall, ignore md/lvm during
    dirinstall
  * write /etc/network/interfaces also on dirinstal
  * DEBIAN.var: fix syntax error

  [ remy.d1@gmail.com ]
  * mk-basefile: add xenial support

 -- Thomas Lange <lange@debian.org>  Tue, 28 Jun 2016 10:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Michael Prokop <mika@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends-Indep: asciidoc, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper (>= 7), libgraph-perl
 Vcs-Git: git://github.com/faiproject/fai.git
@@ -42,7 +42,7 @@
 Architecture: all
 Depends: fai-client, debootstrap, xz-utils, ${misc:Depends}
 Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl
-Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub, aptitude, perl-tk
+Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub2, aptitude, perl-tk
 Description: Fully Automatic Installation server package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as

## fai 5.3.2ubuntu1

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
 LIBDIR = $(DESTDIR)/usr/lib/fai
 SHAREDIR = $(DESTDIR)/usr/share/fai
-USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac
+USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac fai-diskimage
 
 USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-monitor-gui fai-deps
 
 # for syntax checks
-BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-statoverride bin/faireboot bin/ftar dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/*
+BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/*
 SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/fai-disk-info lib/load_keymap_consolechars utils/mkdebmirror
 PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp

=== debian/changelog ===
fai (5.3.2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - bin/fai-cd:
      + Add missing grub-common package.
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-server.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.
    - examples/simple/scripts/GRUB_PC/10-setup:
      + Add command to regenerate grub.cfg.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 03 Jan 2017 09:38:08 +0530

fai (5.3.2) unstable; urgency=low

  [ Thomas Lange ]
  * install_packages: readd -N, new code for removing unknown package
    names and handling multiple occurrences of a package with suffix + -
  * fai-make-nfsroot: create /var/lib/dpkg/available during package
    installation
  * fai-mirror: call install_packages with -N

  [ Emmanuel Kasper ]
  * fai-diskimage: improve LVM test

 -- Thomas Lange <lange@debian.org>  Mon, 12 Dec 2016 15:01:47 +0100

fai (5.3.1) unstable; urgency=low

  [ Thomas Lange ]
  * fai-monitor-gui: ignore lines matching ^VARIABLE
  * CENTOS: disable selinux
  * savelog.LAST.sh: add ignore pattern
  * remove unsafe-io config at the end
  * UBUNTU/90-apt: fix setting locale

  [ Andrew bezella ]
  * fai-make-nfsroot: improve test

  [ dpoon ]
  * fai-disk-info

 -- Thomas Lange <lange@debian.org>  Tue, 06 Dec 2016 16:06:00 +0100

fai (5.3) unstable; urgency=high

  [ Thomas Lange ]
  * install_packages: add new keyword install-norec,
    calling apt-get without recommends, remove option -N
    remove check for packages names using AptPkg::Cache
  * control: add Depends, Breaks, Closes: #842083
  * fai-diskimage: add -N, which is passed to the fai call,
    Closes: #843209, do not run if host uses LVM
  * fai: allow -N and -c at the same time
  * package_config/DEBIAN: add locales-all for class CLOUD
  * packages_config/*: use install-norec instead of aptitude
  * disk_config/CLOUD: use only one partition
  * init.d/expand-root: new script used at first time boot up
  * class/*/GCE: improve class GCE, add expand-root
  * fai-mirror: remove test that prevents it to call multiple times
  * fai, config space: remove $action and use $FAI_ACTION from the very
    beginning
  * class/[01-classes,02-classes]: new scripts for defining classes from
    $cmdlineclasses
  * subroutines: save dmesg only if running on a client host
  * 10-misc: add test if localtime is a symlink, Closes: #843780
  * setup-storage.8: add EFI/ESP example, Closes: #843593

  [ Josef Lusticky ]
  * fai-make-nfsroot: use apt-key to export gpg key for fai-project.org
    package repository

  [ Sam Hartman ]
  * add EFI suppoort, Closes: #843639
  * Commands.pm: Fix handling of btrfs single volume devices,
    Closes: #843716

 -- Thomas Lange <lange@debian.org>  Mon, 21 Nov 2016 13:10:38 +0100

fai (5.2) unstable; urgency=low

  The "FAI is entering the cloud" release.

  [ Thomas Lange ]
  * fai-diskimage: new script, create disk images for VM or "The Cloud"
  * fai-diskimage.8: new man page
  * .../GCE: new class GCE for Google Compute Engine customization
  * updatebase: execute aptitude only if it's available, Closes: #831547
  * fcopy: print warning only in debug mode, Closes: #826897
  * fai-class: do not read hostname from /proc if $HOSTNAME is already
    set, Closes: #833987
  * subroutines: do not always call bash in die()
    set NIC1 before entering a loop
    be less verbose
  * make use of |& shortcut
  * activate swap only during inital install
  * fai: code cleanup, remove unused code, set $classes if -c is used
  * setup-storage: remove code that handles loop devices, no special
    handling needed, do not try to determine raid and lvm info if tools
    are missing
  * move mount2dir into fai-client
  * add class/41-warning.sh
  * remove user/password in grub.cfg for fai-cd
  * setup.DEFAULT.sh: set hostname only during inital install
  * mk-basefiles: add usage, add generic subroutine for Debian and Ubuntu,
    new options -a, -k -s, cleanup exclude list
  * GRUB_PC/10-setup: special treatment if a disk image is used
    do not set up grub during dirinstall
  * fai-kvm: when booting from disk, you can specify a disk image
  * disk_config/CLOUD: new config, new class
  * replace test [ "$verbose" ] with [ X$verbose = X1 ]
  * fai-do-scripts: be less verbose
  * sources.list: add [trusted=yes] to fai-project.org line
  * fai-mirror: remove --force-yes
  * instsoft.DEBIAN: reconfigure locales if already installed
  * rc.local/FAISERVER: make fai-monitor start on every boot
  * fai-guide.txt: add section about fai-diskimage
  * control: suggest packages for fai-server needed by fai-diskimage
  * LAST/50-misc: create a useful sources.list if installed from CD

  [ Andrew bezella ]
  * get-config-dir-http: prefix the curl command with HOME=/root
  * NFSROOT: add ca-certificates
  * instsoft.DEBIAN: don't exit hook on dirinstall
  * scripts/FAISERVER,DEBIAN: copy file also during dirinstall

  [ Edgar Fuß ]
  * fcopy: fix for fcopy -H -r fail to copy a symlink in case it points to
    an existing directory

  [ Stefan Lauterwasser ]
  * setup-storage: add support for Intel Matrix Storage Manager

  [ Kerim Güney ]
  * setup-storage: Device name issue when using btrfs on NVMe device,
    Closes: #831327
    Fix for when btrfs device was used as boot device, the variable
    necessary for the grub script would not be set.

  [ Paul Schulz ]
  * setup-storage.8: add documentation for luks add cryptsetup

  [ Andrew Ruthven ]
  * setup-storage: Add lukscreateopts to disk config file.

  [ Ian Kelling ]
  * 30-interface: determine predictable network names, Closes: #834817

 -- Thomas Lange <lange@debian.org>  Fri, 18 Nov 2016 15:40:12 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
 Depends: perl, file, libapt-pkg-perl, iproute2 | iproute, debconf-utils, ${misc:Depends}
 Recommends: libgraph-perl
 Suggests: logtail
+Breaks: fai-nfsroot (<< 5.2)
+Replaces: fai-nfsroot (<< 5.2)
 Description: Fully Automatic Installation client package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -42,7 +44,7 @@
 Architecture: all
 Depends: fai-client, debootstrap, xz-utils, ${misc:Depends}
 Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl
-Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub2, aptitude, perl-tk
+Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub2, aptitude, perl-tk, qemu-utils, fai-setup-storage
 Description: Fully Automatic Installation server package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -74,7 +76,7 @@
 
 Package: fai-nfsroot
 Architecture: all
-Depends: fai-client, fai-setup-storage, pxelinux| syslinux-common, ${misc:Depends}
+Depends: fai-client (>=5.2), fai-setup-storage, pxelinux| syslinux-common, ${misc:Depends}
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as

## fai 5.3.6~bpo8+1

=== doc/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	cp -p setup-storage-call-graph.txt setup-storage-overview.txt $(DOC2DIR)
 
 clean:
-	rm -rf images .a2x-icons fai-guide.chunked
+	rm -rf images .a2x-icons
 	rm -f $(DOC).text $(DOC).html $(DOC).doc $(DOC).pdf $(DOC).xml $(DOC).ps docbook-xsl.css
 
 test:

=== debian/changelog ===
fai (5.3.6~bpo8+1) jessie-backports; urgency=low

  * make release for jessie

 -- Thomas Lange <lange@debian.org>  Thu, 20 Apr 2017 15:59:45 +0200

fai (5.3.6) unstable; urgency=low

  [ Thomas Lange ]
  * install_packages: fix subroutine name, Closes: #860783
    thanks to John Heim for the bug report and fix

  [ Ian Kelling ]
  * fai-guide.txt: document improvements
  * fai-cd.8: document improvements
  * README.build-sources: small build docs fix
  * fai-cd: fix wrong variable name, Closes: #860229

 -- Thomas Lange <lange@debian.org>  Thu, 20 Apr 2017 10:40:03 +0000

fai (5.3.5) unstable; urgency=low

  [ Manuel Hachtkemper ]
  * LAST/50-misc: ignore dmsetup errors
  * 40-parse-profiles.sh, 41-warning.sh: return with 0

  [ Edgar Fuß]
  * fcopy: move code, Closes: #484666
  * fcopy: add code for handling symlinks correctly, Closes: #853856

  [ Jan Luca Naumann ]
  * fai-make-nfsroot: fix wrong path, Closes: #854550

  [ Ian Kelling ]
  * mk-basefile: make sure root directory has mode 755, Closes: #854654

  [ Thomas Lange ]
  * install_packages: add handling of packagename:arch, Closes: #855799
  * control: fcopy needs libfile-lchown-perl
  * Makefile: fix build error because of missing lchown.pm

 -- Thomas Lange <lange@debian.org>  Wed, 22 Mar 2017 20:17:17 +0100

fai (5.3.4~bpo8+1) jessie-backports; urgency=low

  * 30-interface: use new nic names also for the fixed IP setup, use CIDR
    instead of ip address, netmask, broadcast
  * get-boot-info: set CIDR
  * fai-diskimage: remove test if LVM is used on the host

 -- Thomas Lange <lange@debian.org>  Tue, 24 Jan 2017 13:13:03 +0000

fai (5.3.3~bpo8+2) jessie-backports; urgency=medium

  * rebuild, so tar.xz does not include .git directory

 -- Thomas Lange <lange@debian.org>  Mon, 09 Jan 2017 19:34:40 +0100

fai (5.3.3~bpo8+1) jessie-backports; urgency=low

  * setup-storage: do execute raid/lvm parts only if needed
    Closes: #845428
  * LAST/50-misc: do raid/lvm test only if installation is run on client
  * fai-cd: add -p to grub-mkimage call
  * disk_config/CLOUD: fix option name

 -- Thomas Lange <lange@debian.org>  Mon, 09 Jan 2017 16:44:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fai
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Michael Prokop <mika@debian.org>
 Standards-Version: 3.9.8
 Build-Depends-Indep: asciidoc, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
@@ -13,7 +12,7 @@
 
 Package: fai-client
 Architecture: all
-Depends: perl, file, libapt-pkg-perl, iproute2 | iproute, debconf-utils, ${misc:Depends}
+Depends: perl, file, libapt-pkg-perl, libfile-lchown-perl, iproute2 | iproute, debconf-utils, ${misc:Depends}
 Recommends: libgraph-perl
 Suggests: logtail
 Breaks: fai-nfsroot (<< 5.2)

## fai 5.3.6

=== debian/changelog ===
fai (5.3.4) unstable; urgency=low

  * 30-interface: use new nic names also for the fixed IP setup, use CIDR
    instead of ip address, netmask, broadcast
  * get-boot-info: set CIDR
  * fai-diskimage: remove test if LVM is used on the host

 -- Thomas Lange <lange@debian.org>  Tue, 24 Jan 2017 13:54:01 +0100

fai (5.3.3) unstable; urgency=low

  * move default config to stretch
  * setup-storage: do execute raid/lvm parts only if needed
    Closes: #845428
  * LAST/50-misc: do raid/lvm test only if installation is run on client
  * fai-cd: add -p to grub-mkimage call
  * disk_config/CLOUD: fix option name
  * control: change build dependeny, Closes: #850356

 -- Thomas Lange <lange@debian.org>  Mon, 09 Jan 2017 16:02:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Michael Prokop <mika@debian.org>
 Standards-Version: 3.9.8
-Build-Depends-Indep: asciidoc, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
+Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper (>= 7), libgraph-perl
 Vcs-Git: git://github.com/faiproject/fai.git
 Vcs-Browser: https://github.com/faiproject/fai

## fai 5.3.6ubuntu1

=== Makefile ===
--- 
+++ 
@@ -53,8 +53,8 @@
 
 perlcheck:
 	@echo "Checking for perl syntax errors:"; \
-	mkdir -p perl-dummy/Linux perl-dummy/Tk ; \
-	for f in Linux/LVM.pm Tk.pm Tk/HList.pm Tk/ItemStyle.pm; do \
+	mkdir -p perl-dummy/Linux perl-dummy/File perl-dummy/Tk ; \
+	for f in File/lchown.pm Linux/LVM.pm Tk.pm Tk/HList.pm Tk/ItemStyle.pm; do \
 		echo '1;' > perl-dummy/$$f ; \
 	done; \
 	for SCRIPT in $(PERL_SCRIPTS); do \

=== debian/changelog ===
fai (5.3.6ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - bin/fai-cd:
      + Add missing grub-common package.
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-server.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.
    - examples/simple/scripts/GRUB_PC/10-setup:
      + Add command to regenerate grub.cfg.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 22 Apr 2017 15:54:39 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fai
 Section: admin
 Priority: extra
-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Michael Prokop <mika@debian.org>
 Standards-Version: 3.9.8
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl

## fai 5.3.6ubuntu1+9.0trisquel1

=== debian/changelog ===
fai (5.3.6ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Replace Ubuntu sources.list, packages repository url and specific
    packages by Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 29 Sep 2021 19:37:03 +0000

## fai 5.3.6ubuntu1+10.0trisquel1

=== debian/changelog ===
fai (5.3.6ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Adapted for Trisquel. Fixes #28007

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 23 Sep 2021 00:55:08 +0000

## fai 5.8.2~bpo9+3

=== debian/changelog ===
fai (5.8.2~bpo9+3) stretch-backports; urgency=low

  * fai-server.prerm: add test, Closes: #924227

 -- Thomas Lange <lange@debian.org>  Sun, 10 Mar 2019 17:47:57 +0100

fai (5.8.2~bpo9+2) stretch-backports; urgency=low

  * fix wrong release name in examples

 -- Thomas Lange <lange@debian.org>  Fri, 08 Mar 2019 09:01:06 +0100

fai (5.8.2~bpo9+1) stretch-backports; urgency=low

  * fai-mirror: better regex for matching the backports name,
    do not use hardcoded release name
  * conf/NFSROOT: replace big packages with smaller replacements
  * README.build-sources: fix git command
  * README: major rewrite

 -- Thomas Lange <lange@debian.org>  Thu, 07 Mar 2019 20:54:37 +0100

fai (5.8.1) unstable; urgency=low

  * 30-interfaces: add support for Ubuntu's netplan
  * package_config/{UBUNTU,XORG}: add ubuntu-server except when installing
    desktop

 -- Thomas Lange <lange@debian.org>  Thu, 14 Feb 2019 15:44:08 +0100

fai (5.8) unstable; urgency=low

  * fcopy: change precedence of mode handling, Closes: #918185
  * fai-make-nfsroot: copy files needed for UEFI
  * NFSROOT: add efibootmgr
  * fai-doc.txt: add info about FAIme
  * dhcpd.conf: rename grubnetx64.efi to syslinux.efi
  * control: new standards version

 -- Thomas Lange <lange@debian.org>  Wed, 13 Feb 2019 00:29:14 +0100

fai (5.7.4) unstable; urgency=low

  [ Thomas Lange ]
  * fai-make-nfsroot: fix dracut module net-genrules.sh
  * get-boot-info: kill dhclient after use
  * control: remove dummy package
  * add network-manager-gnome to class XFCE
  * 30-interfaces: do not add network device to interfaces if
    NetworkManager is installed

 -- Thomas Lange <lange@debian.org>  Wed, 30 Jan 2019 13:33:11 +0100

fai (5.7.3) unstable; urgency=low

  [ Thomas Lange ]
  * setup-storage: instead of setting the cipher and size, use the
    defaults of cryptsetup which is currently aes-xts-plain64
    do not set cipher to old aes-cbc-essiv:sha256, Closes: #911372
    add discard option when using luks, Closes: #911675
    write EFI partition to disk_var.*, Closes: #911374
    support raid device names like /dev/md/nv-root
    use fixed units when getting LVM info, Closes: #909318
  * when using nfs:// in FAI_CONFIG_SRC use server name from nfsroot if
    not specified
  * fai: allow setting of $romountopt from outside fai, Closes: #910083

  [ Michael Schaller ]
  * doc/Makefile: Fix parallel package builds with dpkg-buildpackage -j2.

 -- Thomas Lange <lange@debian.org>  Thu, 03 Jan 2019 12:44:10 +0100

fai (5.7.2) unstable; urgency=low

  [ Thomas Lange ]
  * setup-storage: add option -y
  * control: remove Mika from uploaders

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.

 -- Thomas Lange <lange@debian.org>  Tue, 18 Sep 2018 21:05:20 +0200

fai (5.7.1) unstable; urgency=low

  [ Thomas Lange ]
  * fai-make-nfsroot, fai, examples/simple: use Perl regex with grep
  * scripts/DEBIAN/30-interface: add interfaces.d, use ethX name when
    getting CIDR
  * fai-diskimage: add suport for sparse images using img2simg, suffix
    .simg
  * fai-diskimage.8: add info about formats
  * fai-disk-info: allow more than 10 nvme and mmcblk devices
  * fai-do-scripts: if file type is unknown, just execute script or
    executable, Closes: #907799
  * fai.8: better explanation, Closes: #845529
  * do not use netselect for Ubuntu mirror, use new variable ubuntumirror
    in class/UBUNTU.var
  * control: update standards version

  [ Achim Bohnet ]
  * packages_config: treat UBUNTU + XORG same way as DEBIAN + XORG

  [ Andrew Bezella ]
  * updatebase: use private mounts for /dev and /dev/pts

  [ Martin Krämer ]
  * mk-basefile: support empty EXCLUDE_<DEBIANVERSION> variable,
    Closes: #907556

 -- Thomas Lange <lange@debian.org>  Mon, 10 Sep 2018 13:29:00 +0200

fai (5.7) unstable; urgency=low

  [ Thomas Lange ]
  * move subdir examples/simple into submodule
  * setup-storage.8: describe NFS diskless client support
  * replace xenial with bionic
  * add german setting for Bionic
  * install_packages: remove unused code, add variable
    FAI_DISABLE_PACKAGE_NAME_CHECK which does the same as -N,
    Closes: #894561
  * NFSROOT: add packages for armhf
  * fai-make-nfsroot: also match --arch ARCH, Closes: #895204,
    also copy *.gpg keys into nfsroot
  * subroutines: do not use array variable when defining $cmdline, use
    just a plain string, remove some unused code, create resolv.conf
    before starting rsyslogd
  * fai-mirror: add AllowInsecureRepositories, catch errors of
    install_packages
  * mkdebmirror: add --keyring
  * task_inventory: add bios date
  * README: add info about git submodule
  * control: update standards version
  * GRUB*/10-setup: add code for detecting /boot in lvm-on-md,
    Closes: #892279, special handling is not needed for legacy bios,
    for UEFI Bios, test for /dev/loop instead of hostdisk, Closes: #900363
  * class/60-misc: fix tests for GRUB_EFI and GRUB_PC
  * dhcpd.conf: add test for UEFI clients
  * 10-rootpw: enable sudo for $username if no root pw was set

  * fai-cd: use trusted=yes instead of allow-insecure=yes for local
    repository, better error messages when internal ext3 image is to small

  [ Ian Kelling ]
  * fai-cd: fix empty expansion causing superflous 1 exit

  [ Riku Voipio ]
  * subroutines, check-cross-arch: fix --print-foreign-architectures
    parsing

  [ Andreas Heinlein ]
  * subroutines: also install apt keys in binary (.gpg) format in
    /etc/apt/trusted.gpg.d

  [ Markus Lindberg ]
  * fai-make-nfsroot, subroutines: add AllowInsecureRepositories to
    suppress errors for newer versions of APT

  [ Henrique de Moraes Holschuh ]
  * fai-guide.txt: clarify how PACKAGE <type> override works

  [ Frank Steinberg ]
  * setup-storage: add support for NFS diskless clients

  [ Derek Poon ]
  * subroutines: run gpg in FAI to convert .asc files to .gpg files

 -- Thomas Lange <lange@debian.org>  Mon, 04 Jun 2018 11:51:15 +0200

fai (5.6) unstable; urgency=medium



## fai 5.8.3

=== debian/changelog ===
fai (5.8.3) unstable; urgency=medium

   * fai-server.prerm: add test, Closes: #924227
   * NFSROOT: add gpg for buster and beyond

 -- Thomas Lange <lange@debian.org>  Tue, 12 Mar 2019 17:03:56 +0100

fai (5.8.2) unstable; urgency=low

  * NFSROOT,nfsroot.conf,sources.list,mkdebmirror: change defaults
    to buster
  * fai-mirror: better regex for matching the backports name,
    do not use hardcoded release name
  * conf/NFSROOT: replace big packages with smaller replacements
  * README.build-sources: fix git command
  * README: major rewrite

 -- Thomas Lange <lange@debian.org>  Thu, 07 Mar 2019 22:29:46 +0100

## fai 5.8.4~bpo9+2

=== debian/changelog ===
fai (5.8.4~bpo9+2) stretch-backports; urgency=low

  [ Thomas Lange ]
  * updatebase: mount /run/udev into /target, Closes: #925247
  * fai-cd.8: improve -d description
  * fix several typos

  [ Björn Torkelsson ]
  * fai-make-nfsroot: foreign architecture may not be defined
    Closes: #925246

  [ Nicolas Souedet ]
  * Commands.pm: fix wrong Perl dereferencing, Closes: #925469

 -- Thomas Lange <lange@debian.org>  Wed, 27 Mar 2019 23:26:35 +0100
